Bug 520159 - QEMU does not exit if it can't attach to the host USB device
QEMU does not exit if it can't attach to the host USB device
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
Reported: 2009-08-28 12:50 EDT by Daniel Berrange
Modified: 2010-06-28 10:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 10:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-08-28 12:50:29 EDT
Description of problem:
Libvirt launched a QEMU guest with an explicit USB device/bus ID specified

:/usr/bin:/root/bin HOME=/root USER=root LOGNAME=root /usr/bin/qemu-kvm -S -M pc -m 439 -smp 1 -name f11i686test -uuid e60f7e50-e6cd-39ce-84ca-cc694b641c72 -monitor unix:/var/run/libvirt/qemu/f11i686test.monitor,server,nowait -boot c -drive file=,if=ide,media=cdrom,index=2 -drive file=/media/lacie-500-disk-2/virtual-machines/f11i686test.img,if=virtio,index=0,boot=on -net nic,macaddr=00:16:36:44:27:e5,vlan=0,model=virtio,name=virtio.0 -net tap,fd=18,vlan=0,name=tap.0 -serial pty -parallel none -usb -usbdevice tablet -vnc -vga cirrus -usbdevice host:004.002 

Due to permissions errors, the file /proc/bus/usb/004/002 was not accessible to QEMU

/proc/bus/usb/004/002: Permission denied
Warning: could not add USB device host:004.002

It carried oon running, despite not being able to a setup the device, so there is no way for the admin or user to see the error/failure.

QEMU *must* exist when given a  host USB device based on bus:dev  ID, if it can't use it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch QEMU with a USB device that it can't access
Actual results:
Continues running

Expected results:
Exits with error message

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2010-03-09 11:54:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2010-03-09 12:17:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-04-28 06:02:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-06-28 10:21:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.